{
"id": "whe_oFKg0DfG",
"createdAt": "2025-04-28T19:05:17.171569",
"updatedAt": "2025-04-28T19:05:17.171569",
"scheduledAt": null,
"processedAt": null,
"status": "PENDING",
"trigger": "update.remittance.status.sync_error",
"operation": "UPDATE",
"payload": {
"remittance": {
"id": "remi_j1Fb4hW7",
"type": "pdf",
"status": "sync_error",
"currency": "USD",
"metadata": {
"comment": "Test reconcliation tolerances. Difference is $7.50"
},
"filePath": null,
"syncedAt": "2025-04-30T19:09:02.344",
"createdAt": "2025-04-30T19:07:27.894052",
"updatedAt": "2025-04-30T19:07:27.894052",
"customerId": "cus_6ZSYs5Kd",
"batchNumber": null,
"paymentDate": "2024-04-08",
"paymentMethod": "ACH",
"paymentNumber": "TEST-ACH-123",
"sourceCompany": "AeroTrade",
"totalAmountPaid": 123894,
"checkOrAchNumber": null,
"totalAmountBilled": 124644,
"totalDiscountAmount": null,
"lineItems": [
{
"id": "rli_clpiuSGX",
"comments": null,
"createdAt": "2025-04-30T19:07:27.894052",
"currency": "USD",
"customerDocumentNumber": "1016",
"discountAmount": null,
"grossAmountBilled": null,
"invoiceDate": "2023-09-08",
"invoiceNumber": "1016",
"metadata": null,
"netAmountPaid": 123894,
"remittanceId": "remi_j1Fb4hW7",
"status": null,
"updatedAt": "2025-04-30T19:07:27.894052"
}
]
}
},
"table": "remittances",
"webhookSubscriptionId": "whs_w9wlR4DC",
"resourceId": "remi_j1Fb4hW7",
"retryOfId": null,
"retries": []
}Handles remittance events
Triggered when a remittance record is created, updated, or deleted.
{
"id": "whe_oFKg0DfG",
"createdAt": "2025-04-28T19:05:17.171569",
"updatedAt": "2025-04-28T19:05:17.171569",
"scheduledAt": null,
"processedAt": null,
"status": "PENDING",
"trigger": "update.remittance.status.sync_error",
"operation": "UPDATE",
"payload": {
"remittance": {
"id": "remi_j1Fb4hW7",
"type": "pdf",
"status": "sync_error",
"currency": "USD",
"metadata": {
"comment": "Test reconcliation tolerances. Difference is $7.50"
},
"filePath": null,
"syncedAt": "2025-04-30T19:09:02.344",
"createdAt": "2025-04-30T19:07:27.894052",
"updatedAt": "2025-04-30T19:07:27.894052",
"customerId": "cus_6ZSYs5Kd",
"batchNumber": null,
"paymentDate": "2024-04-08",
"paymentMethod": "ACH",
"paymentNumber": "TEST-ACH-123",
"sourceCompany": "AeroTrade",
"totalAmountPaid": 123894,
"checkOrAchNumber": null,
"totalAmountBilled": 124644,
"totalDiscountAmount": null,
"lineItems": [
{
"id": "rli_clpiuSGX",
"comments": null,
"createdAt": "2025-04-30T19:07:27.894052",
"currency": "USD",
"customerDocumentNumber": "1016",
"discountAmount": null,
"grossAmountBilled": null,
"invoiceDate": "2023-09-08",
"invoiceNumber": "1016",
"metadata": null,
"netAmountPaid": 123894,
"remittanceId": "remi_j1Fb4hW7",
"status": null,
"updatedAt": "2025-04-30T19:07:27.894052"
}
]
}
},
"table": "remittances",
"webhookSubscriptionId": "whs_w9wlR4DC",
"resourceId": "remi_j1Fb4hW7",
"retryOfId": null,
"retries": []
}Authorizations
Your API key, sent in the Authorization header: Authorization: YOUR_API_KEY. A Bearer prefix is also accepted (Authorization: Bearer YOUR_API_KEY). Keys are created in the Upwell dashboard (Account ā API keys) and are scoped to one organization.
Body
Details that are sent over to the webhook
The unique identifier for the event.
Timestamp when this record was created in Upwell. It is not the business document date and may be much later when historical data is imported. See createdAt definition.
Timestamp of the record's latest recorded update in Upwell. It is not a shipment event, payment date, or document revision date. See updatedAt definition.
The status of the event (e.g., pending, succeeded, sync_error).
The operation that triggered the event (e.g., INSERT, UPDATE, DELETE).
The trigger that caused the event (e.g., update.remittance.status.sync_error).
The payload of the event, containing the remittance data.
Show child attributes
Show child attributes
The name of the table associated with the event (e.g., remittances).
The ID of the webhook subscription that triggered this event.
The ID of the resource affected by the event.
Array of retry attempts for this event.
Show child attributes
Show child attributes
Timestamp when the asynchronous job is scheduled to run. It is not a promise of completion at that time. See scheduledAt definition.
Timestamp recorded for processing the event or job. It is separate from the event's underlying business date. See processedAt definition.
The ID of the event this is a retry of, if applicable.
Response
Return a 200 status to indicate that the data was received successfully

